;===============================================================;
;                                                               ;
; Alien Breed 5                                                 ;
; Data for app page 0                                           ;
;                                                               ;
;===============================================================;

#ifdef TI83PLUS
ablogo:     #import "gfx\ablogo.bin"
ep1logo:    #import "gfx\ep1logo.bin"
ep2logo:    #import "gfx\ep2logo.bin"
ep3logo:    #import "gfx\ep3logo.bin"

textBgConfig:
.db 1,0, 1,1, 57,2, 1,1, 1,0, $FF

textBgRows:
.db $3F,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FF,$FC
.db $40,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$02
.db $80,$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$01

tilesetTable:
.dw tilesetSSN,tilesetSSL,tilesetSSH,tilesetSSD,tilesetOUT,tilesetTCV,tilesetTMT,tilesetTSC,tilesetTMA,tilesetTST

; space station normal
SSN_START               = 0
SSN_SEGMENTS            = 2
tilesetSSN:
.db SSN_SEGMENTS                                ; # of tileset segments to load
.db SSN_START                                   ; first file number of Huffman packed tile data for this tileset
.dw 0                                           ; offset from (pTiles) to unpack to
.dw AIR_DUCT_TL*8

; space station landing
SSL_START               = SSN_START+SSN_SEGMENTS
SSL_SEGMENTS            = 4
tilesetSSL:
.db SSL_SEGMENTS
.db SSL_START
.dw SSL_FLOOR_PALE_1*8
.dw LANDING_LIGHT*8
.dw SSL_TEXT_B*8
.dw SSL_SHIP_A_3*8

; space station hatchery
SSH_START               = SSL_START+SSL_SEGMENTS
SSH_SEGMENTS            = 3
tilesetSSH:
.db SSH_SEGMENTS
.db SSH_START
.dw HATCHERY_FLOOR_1*8
.dw CLOSED_EGG*8
.dw COCOON_TL*8

; space station dark
SSD_START               = SSH_START+SSH_SEGMENTS
SSD_SEGMENTS            = 2
tilesetSSD:
.db SSD_SEGMENTS
.db SSD_START
.dw SSD_LIGHT_U_L*8
.dw SSD_WALL*8

; outdoor
OUT_START               = SSD_START+SSD_SEGMENTS
OUT_SEGMENTS            = 9
tilesetOUT:
.db OUT_SEGMENTS
.db OUT_START
.dw DIRT_GROUND_1*8
.dw ASHPHALT*8
.dw OUT_ARROW_U*8
.dw MINE*8
.dw OUT_ENEMY_1_TRIGGER*8
.dw OUT_OPEN_DOOR_V*8
.dw FENCE_V*8
.dw LARGE_ROCKS_TL*8
.dw OUT_SHIP_A_3*8

; tower civilian
TCV_START               = OUT_START+OUT_SEGMENTS
TCV_SEGMENTS            = 6
tilesetTCV:
.db TCV_SEGMENTS
.db TCV_START
.dw TCV_FLOOR_TILE_1*8
.dw GRILL_DAMAGED*8
.dw TCV_LOCKER_L*8
.dw TCV_INVINCIBILITY*8
.dw TOW_DESTROYED_INTEX_CONSOLE_UL*8
.dw DESK_TL*8

; tower military
TMT_START               = TCV_START+TCV_SEGMENTS
TMT_SEGMENTS            = 2
tilesetTMT:
.db TMT_SEGMENTS
.db TMT_START
.dw TMT_DRUM_TL*8
.dw DESTROYED_REGULATOR_TL*8

; tower science
TSC_START               = TMT_START+TMT_SEGMENTS
TSC_SEGMENTS            = 3
tilesetTSC:
.db TSC_SEGMENTS
.db TSC_START
.dw TSC_LOCKER_T*8
.dw TSC_DRUM_T*8
.dw DESTROYED_CRYO_TANK_TL*8

; tower main
TMA_START               = TSC_START+TSC_SEGMENTS
TMA_SEGMENTS            = 2
tilesetTMA:
.db TMA_SEGMENTS
.db TMA_START
.dw TMA_DRUM_TL*8
.dw TMA_DESTROYED_COCOON_TL*8

; tower stores
TST_START               = TMA_START+TMA_SEGMENTS
TST_SEGMENTS            = 2
tilesetTST:
.db TST_SEGMENTS
.db TST_START
.dw TST_WALL*8
.dw TST_BARREL*8
#endif

episodeTable:
.db E1_LEVELOFFSET,E2_LEVELOFFSET,E3_LEVELOFFSET

levelTable:
#ifdef TI83PLUS
; app page followed by address on that page for level data
; episode 1
.dw 2,e1l01,2,e1l02,2,e1l03,2,e1l04,2,e1l05,2,e1l06,2,e1l07,2,e1l08,2,e1l09,2,e1l10,2,e1l11,2,e1l12
; episode 2
.dw 3,e2l01,3,e2l02,3,e2l03,3,e2l04,3,e2l05,3,e2l06,3,e2l07,3,e2l08,3,e2l09,3,e2l10,3,e2l11,3,e2l12
; episode 3
.dw 4,e3l00,4,e3l01,4,e3l02,4,e3l03,4,e3l04,4,e3l05,4,e3l06,4,e3l07,4,e3l08,4,e3l09,4,e3l10,4,e3l11,5,e3l12,5,e3l13,5,e3l14
.dw 5,e3l15,5,e3l16,5,e3l17,5,e3l18,5,e3l19,5,e3l20,5,e3l21,5,e3l22,5,e3l23,5,e3l24,5,e3l25,5,e3l26,5,e3l27,5,e3l28,5,e3l29
#endif
#ifdef TI84PLUSCE
; episode 1
.dl e1l01,e1l02,e1l03,e1l04,e1l05,e1l06,e1l07,e1l08,e1l09,e1l10,e1l11,e1l12
; episode 2
.dl e2l01,e2l02,e2l03,e2l04,e2l05,e2l06,e2l07,e2l08,e2l09,e2l10,e2l11,e2l12
; episode 3
.dl e3l00,e3l01,e3l02,e3l03,e3l04,e3l05,e3l06,e3l07,e3l08,e3l09,e3l10,e3l11,e3l12,e3l13,e3l14
.dl e3l15,e3l16,e3l17,e3l18,e3l19,e3l20,e3l21,e3l22,e3l23,e3l24,e3l25,e3l26,e3l27,e3l28,e3l29
#endif

epilogueTable:
#ifdef TI83PLUS
.dw e1ep,e2ep,e3ep
#endif
#ifdef TI84PLUSCE
.dl e1ep,e2ep,e3ep
#endif

numlevelsTable:
.db E1_NUMLEVELS,E2_NUMLEVELS,E3_NUMLEVELS

ep3RouteTable:
.db 0,0,0,0,0,1,0,0,0,0
.db 0,0,16,0,0,128,0,0,0,0
.db 2,4,8,64,32,0,0,0,0,0

ep3RouteTotals:
.db %00000001,%00000010,%00000100,%00101000,%00110000,%01010000,%10000000

sprMenuItem:
#ifdef TI83PLUS
.db %01110000
.db %11111000
.db %11111000
.db %11111000
.db %01110000
.db %00000000
.db %00000000
.db %00000000
#endif
#ifdef TI84PLUSCE
.db 10,9
.db $00,$FF,$FF,$F0,$00
.db $0F,$44,$44,$4F,$00
.db $F4,$44,$44,$44,$F0
.db $F4,$44,$44,$44,$F0
.db $F4,$44,$44,$44,$F0
.db $F4,$44,$44,$44,$F0
.db $F4,$44,$44,$44,$F0
.db $0F,$44,$44,$4F,$00
.db $00,$FF,$FF,$F0,$00
#endif

sprMapMarker:
.db %11100000
.db %11100000
.db %11100000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000

sprHeart:
.db %00000000
.db %00000000
.db %01010000
.db %11111000
.db %11111000
.db %01110000
.db %00100000
.db %00000000

sprDollar:
.db %00100000
.db %01111000
.db %10100000
.db %01110000
.db %00101000
.db %11110000
.db %00100000
.db %00000000

sprAmmoClip:
.db %00001000
.db %00001100
.db %00010110
.db %00101011
.db %11010100
.db %01101000
.db %00110000
.db %00010000

sprKeyPass:
.db %11111111
.db %10000001
.db %10000101
.db %11111011
.db %10101011
.db %10000101
.db %10000001
.db %11111111

sprElevator1P:

sprElevator1Ptl:
.db %00000000
.db %00000011
.db %00000011
.db %00000111
.db %00001111
.db %00011111
.db %00110111
.db %00111111

sprElevator1Ptr:
.db %00000000
.db %00000000
.db %00000000
.db %10000000
.db %11000000
.db %11010000
.db %11111110
.db %11101000

sprElevator1Pbl:
.db %00011111
.db %00000111
.db %00001111
.db %00001101
.db %00011100
.db %00011000
.db %00111001
.db %00110001

sprElevator1Pbr:
.db %11001000
.db %10110000
.db %10000000
.db %11000000
.db %11000000
.db %11000000
.db %11000000
.db %10000000

sprElevator2P:

sprElevator2Ptl:
.db %00000000
.db %00001100
.db %00001101
.db %00011110
.db %00111111
.db %01111111
.db %11011111
.db %11111111

sprElevator2Ptr:
.db %00000000
.db %10000000
.db %01000000
.db %10000000
.db %01000000
.db %11101000
.db %11111101
.db %10110000

sprElevator2Pbl:
.db %01111111
.db %00011110
.db %00111111
.db %00110111
.db %01110111
.db %01101011
.db %11100111
.db %11001110

sprElevator2Pbr:
.db %01100100
.db %11001000
.db %01000000
.db %10100000
.db %01000000
.db %00100000
.db %01000000
.db %10000000

sprElevatorBL1:
.db %11111111
.db %11111111
.db %01111111
.db %00111000
.db %00111000
.db %00010000
.db %00010000
.db %00010000

sprElevatorBR1:
.db %11111111
.db %11111111
.db %11111110
.db %00011100
.db %00011100
.db %00001000
.db %00001000
.db %00001000

sprElevatorBL2:
.db %11111111
.db %11111111
.db %01111111
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000

sprElevatorBR2:
.db %11111111
.db %11111111
.db %11111110
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000

sprPongPaddle:
.db %00011000
.db %00011000
.db %00011000
.db %00011000
.db %00011000
.db %00011000
.db %00011000
.db %00011000

sprPongBall:
.db %11000000
.db %11000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000
.db %00000000

tilesetFloorTable:
.db 1,1,1,0,1,1,1,0,0,0

tilesetWallTable:
.db 1,1,1,0,0,1,1,1,1,0

wallTable:
.db 0,5,7,1,8,2,10,11,6,9,3,13,4,14,12,15

wallMaskTable:
.db %10000000,%00001000,%01000000,%00000100,%00000010,%00100000,%00000001,%00010000

wallOffsetTable:
.db -1,-1,0,-1,1,-1,-1,0,1,0,-1,1,0,1,1,1

wallComplexTable:
.db %00110000,%11000000,%01010000,%10100000,%11110000

strJamesV:
#ifdef TI83PLUS
.db 28,18,"JamesV presents...",$FF
#endif
#ifdef TI84PLUSCE
.db 114,44,"JAMESV PRESENTS...",$FF
#endif

#ifdef TI83PLUS
episodeCutTable:
.dw ep1in,ep2in,ep3in
#endif

menuStrTable:
#ifdef TI83PLUS
.dw strMainMenu,strEpisodeMenu,strOptions1Menu,strOptions2Menu,strHighScore,strEnterPasscode,strEnterYourName
#endif
#ifdef TI84PLUSCE
.dl strMainMenu,strEpisodeMenu,strOptions1Menu,strOptions2Menu,strHighScore,strEnterPasscode,strEnterYourName
#endif
menuNumTable:
.db 6,4,6,6

menuJumpTable:
#ifdef TI83PLUS
.dw showHighScores,enterPasscode,enterNewHighScore
#endif
#ifdef TI84PLUSCE
.dl showHighScores,enterPasscode,enterNewHighScore
#endif

strMainMenu:
.db 6
#ifdef TI83PLUS
.db 17,34,"NEW GAME",0
.db 24,22,"ENTER PASSCODE",0
.db 31,34,"OPTIONS",0
.db 38,28,"HIGH SCORES",0
.db 45,24,"ACHIEVEMENTS",0
.db 52,40,"QUIT",0
#endif
#ifdef TI84PLUSCE
.db 100,64,"NEW GAME",0
.db 115,52,"ENTER PASSCODE",0
.db 130,66,"OPTIONS",0
.db 145,58,"HIGH SCORES",0
.db 160,56,"ACHIEVEMENTS",0
.db 175,72,"QUIT",0
#endif

strEpisodeMenu:
.db 4
#ifdef TI83PLUS
.db 17,11,0
.db 24,11,0
.db 31,11,0
.db 38,11,"MAIN MENU",0
#endif
#ifdef TI84PLUSCE
.db 100,40,"EP I:",0
.db 115,40,"EP II:",0
.db 130,40,"EP III:",0
.db 145,40,"MAIN MENU",0
#endif

strOptions1Menu:
.db 6
#ifdef TI83PLUS
.db 17,10,"DIFFICULTY:",0
.db 24,10,"PLAYERS:",0
.db 31,10,"RETREAT FIRING:",0
.db 38,10,"SMOOTH WALLS:",0
.db 45,10,"MORE OPTIONS...",0
.db 52,10,"MAIN MENU",0
#endif
#ifdef TI84PLUSCE
.db 100,36,"DIFFICULTY:",0
.db 115,36,"PLAYERS:",0
.db 130,36,"RETREAT FIRING:",0
.db 145,36,"SMOOTH WALLS:",0
.db 160,36,"MORE OPTIONS...",0
.db 175,36,"MAIN MENU",0
#endif

strOptions2Menu:
.db 6
#ifdef TI83PLUS
.db 17,11,"RESET ACHIEVEMENTS",0
.db 24,11,"RESET IN-GAME TIPS",0
.db 31,11,"DISABLE IN-GAME TIPS",0
.db 38,11,"RESET HIGH SCORES",0
.db 45,11,"REWATCH INTRO",0
.db 52,11,"MAIN MENU",0
#endif
#ifdef TI84PLUSCE
.db 100,40,"RESET ACHIEVEMENTS",0
.db 115,40,"RESET IN-GAME TIPS",0
.db 130,40,"DISABLE IN-GAME TIPS",0
.db 145,40,"RESET HIGH SCORES",0
.db 160,40,"REWATCH INTRO",0
.db 175,40,"MAIN MENU",0
#endif

strHighScore:
#ifdef TI83PLUS
.db 5
.db 14,19,"HIGH SCORE TABLE",0
.db 41,21,"by James Vernon",0
.db 48,7,"Original series by TEAM 17",0
.db 55,3,"WWW.JVTI.ORG",0
.db 55,VERSION_COL,"v",VERSION_NUMBER,0
#endif
#ifdef TI84PLUSCE
.db 5
.db 70,48,"HIGH SCORE TABLE",0
.db 160,26,"ORIGINAL ALIEN BREED SERIES",0
.db 175,40,"FOR AMIGA BY TEAM 17",0
.db 195,8,"BY JAMES VERNON",0
.db 195,VERSION_COL,"V",VERSION_NUMBER,0
#endif

#ifdef TI83PLUS
strEnterPasscode:
.db 1
.db 24,22,"Enter passcode:",0
#endif

strEnterYourName:
#ifdef TI83PLUS
.db 1
.db 27,20,"Enter your name:",0
#endif
#ifdef TI84PLUSCE
.db 1
.db 115,48,"ENTER YOUR NAME:",0
#endif

#ifdef TI83PLUS
strNewHighP1:
.db 1
.db 17,7,"Player 1 got a high score!",0
strNewHighP2:
.db 1
.db 17,7,"Player 2 got a high score!",0
#endif
#ifdef TI84PLUSCE
strNewHighP1:
.db 1
.db 95,28,"PLAYER 1 GOT A HIGH SCORE!",0
strNewHighP2:
.db 1
.db 95,28,"PLAYER 2 GOT A HIGH SCORE!",0
#endif

#ifdef TI83PLUS
strNormal:
.db "NORMAL",0
strTough:
.db "TOUGH",0
strOne:
.db "ONE",0
strTwo:
.db "TWO",0
strOn:
.db "ON",0
strOff:
.db "OFF",0
#endif
#ifdef TI84PLUSCE
strNormal:
.db "NORMAL",0
strTough:
.db " TOUGH",0
strOne:
.db "ONE",0
strTwo:
.db "TWO",0
strOn:
.db " ON",0
strOff:
.db "OFF",0
#endif

strGameOver:
.db "G A M E   O V E R",0

str2nd:
.db 1
.db 57,73," ",$C1,"2nd]",0

#ifdef TI83PLUS
strPongP1Won:
.db 1, 20,27,"PLAYER 1 WON!",0
strPongP2Won:
.db 1, 20,27,"PLAYER 2 WON!",0
strPongCalcWon:
.db 1, 20,21,"CALCULATOR WON!",0
#endif
#ifdef TI84PLUSCE
strPongP1Won:
.db 1, 185,55,"PLAYER 1 WON!",0
strPongP2Won:
.db 1, 185,55,"PLAYER 2 WON!",0
strPongCalcWon:
.db 1, 185,51,"CALCULATOR WON!",0
#endif

#ifdef TI83PLUS
strPaused:
.db 8
.db 0,37,"PAUSED",0
.db 18,31,"MACHINE GUN:",0
.db 24,31,"TWIN LASER:",0
.db 30,31,"FLAME ARC:",0
.db 36,31,"PLASMA RIFLE:",0
.db 42,31,"FLAMETHROWER:",0
.db 50,31,"RADAR SCANNER:",0
.db 8,64,"SC:",0

strYesNoTable:
.db 18,24,30,36,42,50
strYes:
.db 83,"YES",0
strNo:
.db 85,"NO",0

strPausedBottom1:
.db 1, 57,6,"2nd=Play, CLEAR=Retreat",0

strPausedBottom2:
.db 1, 57,5,"STAT=Achv, +/- =Contrast",0

strP1:
.db 1, 0,5,$C1,"P1]",0
strP2:
.db 1, 0,5,$C1,"P2]",0

sprPauseTable:
.db 2
.dw sprHeart
.db 9
.dw sprAmmoClip
.db 19
.dw sprKeyPass
.db 29
.dw sprDollar

strRetreatTitle:
.db 1,8,9,"QUIT GAME",0

strResetAchv:
.db 1,8,9,"RESET ACHIEVEMENTS",0
strResetTips:
.db 1,8,9,"RESET IN-GAME TIPS",0
strDisableTips:
.db 1,8,9,"DISABLE IN-GAME TIPS",0
strResetHigh:
.db 1,8,9,"RESET HIGH SCORES",0
strAreYouSure:
.db 16,9,"Are you sure?",$FF
strInfo2nd:
.db 1,49,70,$C1,"2nd]",0
strInfoPrompt:
.db 2
.db 43,53,$C1,"2nd] - Yes",0
.db 49,49,$C1,"MODE] -    No",0
#endif
#ifdef TI84PLUSCE
strResetAchv:
.db "RESET ACHIEVEMENTS",0
strResetTips:
.db "RESET IN-GAME TIPS",0
strDisableTips:
.db "DISABLE IN-GAME TIPS",0
strResetHigh:
.db "RESET HIGH SCORES",0
strAreYouSure:
INFO_LINE(0,0,"ARE YOU SURE?",$FF)
strInfo2nd:
INFO_LINE(5,23,"[2ND]",$FF
strInfoPrompt:
INFO_LINE(4,17,"[2ND] - YES",0)
INFO_LINE(5,17,"[MODE] - NO",$FF)
#endif

;------------------------------------------------
; start of default app var data
;------------------------------------------------
appvarDefault:
.db DATA_APPVAR_VERSION                         ; data version

highScoreNames:
.db 3
#ifdef TI83PLUS
.db 21,13,"1. HICKS     ",0
.db 27,13,"2. VASQUEZ   ",0
.db 33,13,"3. DRAKE     ",0
#endif
#ifdef TI84PLUSCE
.db 90,28,"1. HICKS     ",0
.db 105,28,"2. VASQUEZ   ",0
.db 120,28,"3. DRAKE     ",0
#endif

highScores:
.dw 5000,3000,1000

appvarOptions:
.db %00001100

appvarTips:
#ifdef DISABLE_TIPS
.db $FF
#else
.db $00
#endif

appvarAchFlags:
.db $00,$00,$00,$00,$00,$00,$00,$00,$00

aprvarAchVars:
.db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
.db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
.db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
.db 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
.db 0
;------------------------------------------------
; end of default app var data
;------------------------------------------------

strAppvarError:
.db 5
.db 10,3,"The appvar AB5 could not be",0
.db 17,4,"loaded - try deleting it and",0
.db 24,9,"running the game again.",0
.db 35,10,"(You will lose your high",0
.db 42,6,"scores and achievements)",0

dataAppvar:
.db appvarobj,"AB5",0

tempAppvar:
.db appvarobj,"zab5",0                          ; name of temp appvar to be created during gameplay (stores level data)

varsAppvar:
.db appvarobj,"zab5dat",0                       ; name of appvar to be created when doing quick exit/save (stores variables)

charTable:
.db ".........."
.db "WRMH....VQ"
.db "LG...ZUPKF"
.db "C..YTOJEB."
.db ".XSNIDA..."
.db "......"

elevatorScrMasks:
.db $FF,$03,$00,$00,$00,$00,$FF,$C0,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00,$FF,$00

elevatorScrRandoms:
.db %11010110,%10100110,%01101101,%10101011,%01011001

elevatorSprOffsets:
.db 8,0,16,0,8,8,16,8,8,16,16,16

#ifdef TI83PLUS
;------------------------------------------------
; Tip data (83P only)
;------------------------------------------------
strTip:
.db 1
.db 8,9,"TIP",0

tips:
.dw strTip00,strTip01,strTip02,strTip03,strTip04,strTip05,strTip06,strTip07
strTip00:
.db 16,9,"Use the Arrow pad to",0
.db 22,9,"walk around and ",$C1,"MODE]",0
.db 28,9,"to pause.",$FF
strTip01:
.db 16,9,"Pick up key passes to",0
.db 22,9,"open doors, or blast",0
.db 28,9,"them open with your",0
.db 34,9,"gun, but this will drain",0
.db 40,9,"your ammo fast!",$FF
strTip02:
.db 16,9,"You found a key pass!",0
.db 22,9,"Use these to open doors.",$FF
strTip03:
.db 16,9,"Press ",$C1,"2nd] to fire your",0
.db 22,9,"gun, but don't waste",0
.db 28,9,"ammo!",$FF
strTip04:
.db 16,9,"To log on to Intex",0
.db 22,9,"Terminals, walk up to",0
.db 28,9,"them and press ",$C1,"ALPHA].",$FF
strTip05:
.db 16,9,"Credits are used to buy",0
.db 22,9,"tools & supplies at the",0
.db 28,9,"Intex Terminals. They",0
.db 34,9,"come in 10CR (black)",0
.db 40,9,"and 100 CR (white).",$FF
strTip06:
.db 16,9,"Different weapons can",0
.db 22,9,"be selected (after being",0
.db 28,9,"purchased) by using the",0
.db 34,9,"5 graphing keys at the",0
.db 40,9,"top of the calculator.",$FF
strTip07:
.db 16,9,"Fire doors can be closed",0
.db 22,9,"by facing them and",0
.db 28,9,"pressing ",$C1,"ALPHA],",0
.db 34,9,"though once closed they",0
.db 40,9,"cannot be reopened.",$FF
#endif

#ifdef TI83PLUS
strPasscodeTitle:
.db 1
.db 8,9,"PASSCODE",0

strPasscode:
.db 16,9,"Enter code __________",0
.db 23,9,"to restart here",$FF
#endif

strInvalidPasscode:
.db "Invalid passcode!",0

passcodeChars:
.db "ECNJKBHMPFIDLAOG"

passcodeValues:
.db 13,5,1,11,0,9,15,6,10,3,4,12,7,2,14,8

cheatcodes:
.db 17
.db "CRAZYXENOS"
.db "IWANTFISHH"
.db "IWANTFISH "
.db "TOUGHMUTHA"
.db "INSANEMODE"
.db "BILLPAXTON"
.db "NEWTFARTED"
.db "MANUTDLOVE"
.db "TIREDXENOS"
.db "AMIGALOVER"
.db "BLEARYEYES"
.db "KEYFINGERS"
.db "ACERIMMER "
.db "PISSEDFART"
.db "CASHSTACKS"
.db "YOUMUNTERS"
.db "BIGBOOMERS"

cheatTable:
#ifdef TI83PLUS
.dw e3cheatFlags        \   .db %10100000
.dw e3cheatFlags        \   .db %10010000
.dw e3cheatFlags        \   .db %10001000
.dw e3cheatFlags        \   .db %00000100
.dw e3cheatFlags        \   .db %10000010
.dw e3cheatFlags        \   .db %10000001
.dw e2cheatFlags        \   .db %00100000
.dw e2cheatFlags        \   .db %10010000
.dw e2cheatFlags        \   .db %10001000
.dw e2cheatFlags        \   .db %10000100
.dw e2cheatFlags        \   .db %10000010
.dw e2cheatFlags        \   .db %10000001
.dw e1cheatFlags        \   .db %00001000
.dw e1cheatFlags        \   .db %10000100
.dw e1cheatFlags        \   .db %10000010
.dw e1cheatFlags        \   .db %10000010
.dw e1cheatFlags        \   .db %00000001
#endif
#ifdef TI84PLUSCE
.dl e3cheatFlags        \   .db %10100000
.dl e3cheatFlags        \   .db %10010000
.dl e3cheatFlags        \   .db %10001000
.dl e3cheatFlags        \   .db %00000100
.dl e3cheatFlags        \   .db %10000010
.dl e3cheatFlags        \   .db %10000001
.dl e2cheatFlags        \   .db %00100000
.dl e2cheatFlags        \   .db %10010000
.dl e2cheatFlags        \   .db %10001000
.dl e2cheatFlags        \   .db %10000100
.dl e2cheatFlags        \   .db %10000010
.dl e2cheatFlags        \   .db %10000001
.dl e1cheatFlags        \   .db %00001000
.dl e1cheatFlags        \   .db %10000100
.dl e1cheatFlags        \   .db %10000010
.dl e1cheatFlags        \   .db %10000010
.dl e1cheatFlags        \   .db %00000001
#endif

strScanning:
.db "SCANNING...",0

#ifdef TI83PLUS
intexMainJumpTable:
.dw intexWeaponMenu,intexToolMenu,intexRadarService,intexMissionObjective,intexEntertainment,intexInfoBase,intexAbort
intexWeaponJumpTable:
.dw intexBuyTwinLaser,intexBuyFlameArc,intexBuyPlasmaRifle,intexBuyFlamethrower,intexMainMenu
intexToolJumpTable:
.dw intexBuyKeyPack,intexBuyAmmoClip,intexBuyFirstAid,intexBuyRadarScanner,intexBuyExtraLife,intexMainMenu
#endif
#ifdef TI84PLUSCE
intexMainJumpTable:
.dl intexWeaponMenu,intexToolMenu,intexRadarService,intexMissionObjective,intexEntertainment,intexInfoBase,intexAbort
intexWeaponJumpTable:
.dl intexBuyTwinLaser,intexBuyFlameArc,intexBuyPlasmaRifle,intexBuyFlamethrower,intexMainMenu
intexToolJumpTable:
.dl intexBuyKeyPack,intexBuyAmmoClip,intexBuyFirstAid,intexBuyRadarScanner,intexBuyExtraLife,intexMainMenu
#endif

#ifdef TI83PLUS
;------------------------------------------------
; intex general string data (83P only)
;------------------------------------------------
strIntexLoad:
.db 10,2,"INTEX NETWORK SYSTEMS",0
.db 17,2,"CONNECTING...",$FF

strIntexAbort:
.db 10,2,"DISCONNECTING...",$FF

strIntexPurchased:
.db 10,2,"ITEM PURCHASED!",$FF

strIntexAlreadyOwned:
.db 10,2,"YOU ALREADY OWN THAT!",$FF

strIntexNotEnoughCredits:
.db 10,2,"INSUFFICIENT FUNDS!",$FF

strCreditLimit:
.db 53,2,"CREDIT LIMIT:",$FF

;------------------------------------------------
; intex menu data (83P only)
;------------------------------------------------
intexMainMenuData:
.db 7
.db 1,21,"INTEX MAIN MENU",0
.db 10,9,"INTEX WEAPON SUPPLIES",0
.db 17,13,"INTEX TOOL SUPPLIES",0
.db 24,13,"INTEX RADAR SERVICE",0
.db 31,16,"MISSION OBJECTIVE",0
.db 38,12,"INTEX ENTERTAINMENT",0
.db 45,32,"INFO BASE",0
.db 52,15,"ABORT INTEX SYSTEM",$FF
.db 3,7,7,10,6,26,9

intexWeaponMenuData:
.db 5
.db 1,9,"INTEX WEAPON SUPPLIES",0
.db 10,8,"TWIN LASER",0
.db 10,64,"1000 CR",0
.db 17,8,"FLAME ARC",0
.db 17,64,"2400 CR",0
.db 24,8,"PLASMA RIFLE",0
.db 24,64,"3500 CR",0
.db 31,8,"FLAMETHROWER",0
.db 31,64,"4800 CR",0
.db 38,32,"MAIN MENU",$FF
.db 2,2,2,2,26

intexToolMenuData:
.db 6
.db 1,13,"INTEX TOOL SUPPLIES",0
.db 10,8,"KEY PACK",0
.db 10,68,"500 CR",0
.db 17,8,"AMMO CLIP",0
.db 17,68,"200 CR",0
.db 24,8,"FIRST AID",0
.db 24,68,"500 CR",0
.db 31,8,"RADAR SCANNER",0
.db 31,64,"1000 CR",0
.db 38,8,"EXTRA LIFE",0
.db 38,64,"3000 CR",0
.db 45,32,"MAIN MENU",$FF
.db 2,2,2,2,2,26

;------------------------------------------------
; intex info base data (83P only)
;------------------------------------------------
intexInfoBaseData:
.db 9

.db 1,21,"INTEX INFO BASE",0
.db 10,2,$C1,"2nd]=next page",0
.db 17,2,$C1,"mode]=main menu",0
.db 24,2,$C1,"alpha]=fast text/skip",$FF
.db 0

.db 1,2,"GAME CONTROLS",0
.db 10,2,"arrow keys=move",0
.db 17,2,$C1,"2nd]=shoot",0
.db 24,2,"top row=select weapon 1-5",0
.db 31,2,$C1,"alpha]=use/activate",0
.db 38,2,$C1,"del]=radar scanner",0
.db 45,2,$C1,"mode]=pause",0
.db 52,2,$C1,"math]=teacher key",$FF
.db 0

.db 1,2,"DECK LIFTS",0
.db 10,2,"On most levels, the Deck",0
.db 17,2,"Lift is where you go to",0
.db 24,2,"travel to the next level,",0
.db 31,2,"unless otherwise told.",$FF
.db 4
.dw infoBaseDeckLiftTL,infoBaseDeckLiftTR,infoBaseDeckLiftBL,infoBaseDeckLiftBR

.db 1,2,"SECURITY DOORS",0
.db 10,2,"Can be opened with key",0
.db 17,2,"passes, or shot open as a",0
.db 24,2,"last resort.",$FF
.db 2
.dw infoBaseClosedDoorT,infoBaseClosedDoorB

.db 1,2,"FIRE DOORS",0
.db 10,2,"Can be closed by pressing",0
.db 17,2,$C1,"alpha], but cannot be",0
.db 24,2,"reopened.",$FF
.db 2
.dw infoBaseFireDoorT,infoBaseFireDoorB

.db 1,2,"ONE WAY ENERGY BEAMS",0
.db 10,2,"Only allow access in one",0
.db 17,2,"direction as indicated.",$FF
.db 6
.dw infoBaseEnergyShieldTL,infoBaseEnergyShieldTC,infoBaseEnergyShieldTR,infoBaseEnergyShieldBL,infoBaseEnergyShieldBC,infoBaseEnergyShieldBR

.db 1,2,"AIR DUCTS",0
.db 10,2,"These are dangerous and",0
.db 17,2,"should not be entered",0
.db 24,2,"unless directed to do so.",$FF
.db 1
.dw infoBaseAirDuct

.db 1,2,"EXTRA LIVES/FIRST AID",0
.db 10,2,"Extra lives can be found on",0
.db 17,2,"the ground or purchased at",0
.db 24,2,"Intex Terminals, as well",0
.db 31,2,"as First Aid kits.",$FF
.db 2
.dw infoBaseExtraLife,infoBaseFirstAid

.db 1,2,"REMOTE RADAR SCANNER",0
.db 10,2,"This can be purchased and",0
.db 17,2,"then viewed from anywhere",0
.db 24,2,"by pressing ",$C1,"del].",0
.db 31,2,"It will not work during",0
.db 38,2,"auto-destruct sequence",0
.db 45,2,"in TOUGH mode.",$FF
.db 0

infoBaseDeckLiftTL:
.db 44,40
.db %00000111
.db %00011000
.db %00100000
.db %01000000
.db %01000011
.db %10000100
.db %10001000
.db %10001000

infoBaseDeckLiftTR:
.db 44,48
.db %11100000
.db %00011000
.db %00000100
.db %00000010
.db %11000010
.db %00100001
.db %00010001
.db %00010001

infoBaseDeckLiftBL:
.db 52,40
.db %10001000
.db %10001000
.db %10000100
.db %01000011
.db %01000000
.db %00100000
.db %00011000
.db %00000111

infoBaseDeckLiftBR:
.db 52,48
.db %00010001
.db %00010001
.db %00100001
.db %11000010
.db %00000010
.db %00000100
.db %00011000
.db %11100000

infoBaseClosedDoorT:
.db 44,44
.db %10110100
.db %11011011
.db %00000000
.db %11111111
.db %00111100
.db %00011000
.db %00011000
.db %00011000

infoBaseClosedDoorB:
.db 52,44
.db %00011000
.db %00011000
.db %00011000
.db %00111100
.db %11111111
.db %00000000
.db %10110101
.db %01011111

infoBaseFireDoorT:
.db 44,44
.db %10110100
.db %11011011
.db %00000000
.db %11111111
.db %01000010
.db %00011000
.db %00011000
.db %00000000

infoBaseFireDoorB:
.db 52,44
.db %00000000
.db %00011000
.db %00011000
.db %01000010
.db %11111111
.db %00000000
.db %10110101
.db %01011111

infoBaseEnergyShieldTL:
.db 44,36
.db %10110100
.db %11011011
.db %00000000
.db %11111111
.db %10101010
.db %00000000
.db %10000000
.db %00000100

infoBaseEnergyShieldTC:
.db 44,44
.db %10110100
.db %11011011
.db %00000000
.db %11111111
.db %10101010
.db %00010000
.db %10001000
.db %00010000

infoBaseEnergyShieldTR:
.db 44,52
.db %10110100
.db %11011011
.db %00000000
.db %11111111
.db %10101010
.db %00000000
.db %10000000
.db %00000100

infoBaseEnergyShieldBL:
.db 52,36
.db %10111110
.db %00000100
.db %10000000
.db %00000000
.db %11111111
.db %00000000
.db %10110101
.db %01011111

infoBaseEnergyShieldBC:
.db 52,44
.db %10010000
.db %00001000
.db %10000100
.db %00001000
.db %11111111
.db %00000000
.db %10110101
.db %01011111

infoBaseEnergyShieldBR:
.db 52,52
.db %10111110
.db %00000100
.db %10000000
.db %00000000
.db %11111111
.db %00000000
.db %10110101
.db %01011111

infoBaseAirDuct:
.db 50,44
.db %00111100
.db %01101010
.db %11010101
.db %10101011
.db %11010101
.db %10101011
.db %01010110
.db %00111100

infoBaseExtraLife:
.db 50,38
.db %00111100
.db %01000010
.db %10100101
.db %10000001
.db %10100101
.db %10011001
.db %01000010
.db %00111100

infoBaseFirstAid:
.db 50,50
.db %11111111
.db %10000001
.db %10011001
.db %10111101
.db %10111101
.db %10011001
.db %10000001
.db %11111111
#endif

starMoveTable:
.db 0,1,0,1,1,0,1,1,1,1,2,1,1,1,2,1,1,2,1,2,1,2,2,2,2,3,2,2,2,3,2,2,3,2,3,2,3,3,3,3,4,3,3,3,4,3,3,4,3,4,3,4,3,4,4,4,4,4,4,4,4,4,4,4
.db 4,4,4,4,4,4,4,4,4,4,4,3,4,3,4,3,4,3,3,4,3,3,3,4,3,3,3,3,2,3,2,3,2,2,3,2,2,2,3,2,2,2,2,1,2,1,2,1,1,2,1,1,1,2,1,1,1,1,0,1,1,0,1,0
.db 0,-1,0,-1,-1,0,-1,-1,-1,-1,-2,-1,-1,-1,-2,-1,-1,-2,-1,-2,-1,-2,-2,-2,-2,-3,-2,-2,-2,-3,-2,-2,-3,-2,-3,-2,-3,-3,-3,-3,-4,-3,-3,-3,-4,-3,-3,-4,-3,-4,-3,-4,-3,-4,-4,-4,-4,-4,-4,-4,-4,-4,-4,-4
.db -4,-4,-4,-4,-4,-4,-4,-4,-4,-4,-4,-3,-4,-3,-4,-3,-4,-3,-3,-4,-3,-3,-3,-4,-3,-3,-3,-3,-2,-3,-2,-3,-2,-2,-3,-2,-2,-2,-3,-2,-2,-2,-2,-1,-2,-1,-2,-1,-1,-2,-1,-1,-1,-2,-1,-1,-1,-1,0,-1,-1,0,-1,0

.end
