;===============================================================;
;                                                               ;
; Alien Breed 5                                                 ;
; Data unique to CE version                                     ;
;                                                               ;
;===============================================================;

fonthud:                #import "gfxce\fonthud.bin"
hudline:                #import "gfxce\hudline.bin"

appvarDat:
.db appvarobj,"Ab5dat",0

appvarGfx1:
.db appvarobj,"Ab5gfx1",0

appvarGfx2:
.db appvarobj,"Ab5gfx2",0

appvarLvl:
.db appvarobj,"Ab5lvl",0

appvarCodes:
.db appvarobj,"Ab5codes",0

; CE sprites
#include "spritesce.asm"

palGame:                #import "gfxce\abpal.bin"
PALGAME_SIZE            = $-palGame

palSSNBlue:             #import "gfxce\palssnblue.bin"
palSSNBrown:            #import "gfxce\palssnbrown.bin"
palSSNGreen:            #import "gfxce\palssngreen.bin"
palSSNGrey:             #import "gfxce\palssngrey.bin"
palSSNPurple:           #import "gfxce\palssnpurple.bin"
palSSNRed:              #import "gfxce\palssnred.bin"
palSSLBlue:             #import "gfxce\palsslblue.bin"
palSSLBrown:            #import "gfxce\palsslbrown.bin"
palSSHGreen:            #import "gfxce\palsshgreen.bin"
palSSDRed:              #import "gfxce\palssdred.bin"
palOUTBrown:            #import "gfxce\paloutbrown.bin"
palTCVBrown:            #import "gfxce\paltcvbrown.bin"
palTMTGrey:             #import "gfxce\paltmtgrey.bin"
palTSCBrown:            #import "gfxce\paltscbrown.bin"
palTMAPurple:           #import "gfxce\paltmapurple.bin"
palTSTGrey:             #import "gfxce\paltstgrey.bin"

palTable:
.dl palSSNTable,palSSLTable,palSSHTable,palSSDTable,palOUTTable,palTCVTable,palTMTTable,palTSCTable,palTMATable,palTSTTable

palSSNTable:
.dl palSSNBlue,palSSNBrown,palSSNGreen,palSSNGrey,palSSNPurple,palSSNRed

palSSLTable:
.dl palSSLBlue,palSSLBrown

palSSHTable:
.dl palSSHGreen

palSSDTable:
.dl palSSDRed

palOUTTable:
.dl palOUTBrown

palTCVTable:
.dl palTCVBrown

palTMTTable:
.dl palTMTGrey

palTSCTable:
.dl palTSCBrown

palTMATable:
.dl palTMAPurple

palTSTTable:
.dl palTSTGrey

palMenu:
.dw 2048
.dw 4096
.dw 8192
.dw 17408
.dw 22528
.dw 27648
.dw 31936
PALMENU_SIZE            = $-palMenu

palMenuAlt:
.dw 0
.dw 0
.dw 0
.dw 2048
.dw 4096
.dw 8192
.dw 17408

palTextFlash:
.dw 22197
.dw 22197
.dw 20083
.dw 17969
.dw 14798
.dw 12684
.dw 10570
.dw 8456
.dw 6342
.dw 6342
.dw 8456
.dw 10570
.dw 12684
.dw 14798
.dw 17969
.dw 20083

palEp1Cut:              #import "gfxce\palep1cut.bin"
palEp2Cut:              #import "gfxce\palep2cut.bin"
palEp3Cut:              #import "gfxce\palep3cut.bin"
palIntro:               #import "gfxce\palintrocut.bin"
palEpilogue:            #import "gfxce\palepilogue.bin"

cutscenePal:
.dl palEp1Cut,palEp2Cut,palEp3Cut,palIntro

cutsceneTable:
.dl cutsceneEp1,cutsceneEp2,cutsceneEp3,cutsceneIntro

tilesetTable:
.dl tilesetSSN,tilesetSSL,tilesetSSH,tilesetSSD,tilesetOUT,tilesetTCV,tilesetTMT,tilesetTSC,tilesetTMA,tilesetTST

; space station normal
SSN_START               = 0
SSN_SEGMENTS            = 2
tilesetSSN:
.db SSN_SEGMENTS                                ; # of tileset segments to load
.db SSN_START                                   ; first file number of Huffman packed tile data for this tileset
.dl startTiles                                  ; where to unpack to
.dl startTiles+(AIR_DUCT_TL*256)

; space station landing
SSL_START               = SSN_START+SSN_SEGMENTS
SSL_SEGMENTS            = 9
tilesetSSL:
.db SSL_SEGMENTS
.db SSL_START
.dl startTiles+(SSL_FLOOR_1*256)
.dl startTiles+(LANDING_LIGHT*256)
.dl startTiles+(SSL_LOCKER_T*256)
.dl startTiles+(SSL_TEXT_EXCLAMATION*256)
.dl startTiles+(SSL_GARBAGE_CHUTE*256)
.dl startTiles+(SSL_ALIEN_HOLE_HIDDEN*256)
.dl startTiles+(SSL_OPEN_DOOR_V*256)
.dl startTiles+(SSL_INTEX_CONSOLE_UL*256)
.dl startTiles+(SSL_SHIP_A_3*256)

; space station hatchery
SSH_START               = SSL_START+SSL_SEGMENTS
SSH_SEGMENTS            = 6
tilesetSSH:
.db SSH_SEGMENTS
.db SSH_START
.dl startTiles+(HATCHERY_FLOOR_1*256)
.dl startTiles+(SSH_KEY_PASS*256)
.dl startTiles+(CLOSED_EGG*256)
.dl startTiles+(SSH_OPEN_DOOR_V*256)
.dl startTiles+(COCOON_TL*256)
.dl startTiles+(SSH_CLOSED_DOOR_V*256)

; space station dark
SSD_START               = SSH_START+SSH_SEGMENTS
SSD_SEGMENTS            = 4
tilesetSSD:
.db SSD_SEGMENTS
.db SSD_START
.dl startTiles+(SSD_FLOOR*256)
.dl startTiles+(SSD_LIGHT_U_L*256)
.dl startTiles+(SSD_ENEMY_1_TRIGGER*256)
.dl startTiles+(SSD_WALL*256)

; outdoor
OUT_START               = SSD_START+SSD_SEGMENTS
OUT_SEGMENTS            = 9
tilesetOUT:
.db OUT_SEGMENTS
.db OUT_START
.dl startTiles+(DIRT_GROUND_1*256)
.dl startTiles+(ASHPHALT*256)
.dl startTiles+(OUT_ARROW_U*256)
.dl startTiles+(MINE*256)
.dl startTiles+(OUT_ENEMY_1_TRIGGER*256)
.dl startTiles+(OUT_OPEN_DOOR_V*256)
.dl startTiles+(FENCE_V*256)
.dl startTiles+(LARGE_ROCKS_TL*256)
.dl startTiles+(OUT_SHIP_A_3*256)

; tower civilian
TCV_START               = OUT_START+OUT_SEGMENTS
TCV_SEGMENTS            = 9
tilesetTCV:
.db TCV_SEGMENTS
.db TCV_START
.dl startTiles+(TCV_FLOOR_1*256)
.dl startTiles+(TCV_LOCKER_L*256)
.dl startTiles+(TCV_ARROW_U*256)
.dl startTiles+(TCV_ALIEN_HOLE_HIDDEN*256)
.dl startTiles+(TOW_OPEN_DOOR_V*256)
.dl startTiles+(TOW_ENERGY_SHIELD_U*256)
.dl startTiles+(TOW_DESTROYED_INTEX_CONSOLE_UL*256)
.dl startTiles+(DESK_TL*256)
.dl startTiles+(TOW_CLOSED_DOOR_V*256)

; tower military
TMT_START               = TCV_START+TCV_SEGMENTS
TMT_SEGMENTS            = 5
tilesetTMT:
.db TMT_SEGMENTS
.db TMT_START
.dl startTiles+(TMT_FLOOR_1*256)
.dl startTiles+(TMT_ARROW_U*256)
.dl startTiles+(TMT_ALIEN_HOLE_HIDDEN*256)
.dl startTiles+(TMT_DRUM_TL*256)
.dl startTiles+(DESTROYED_REGULATOR_TL*256)

; tower science
TSC_START               = 0
TSC_SEGMENTS            = 7
tilesetTSC:
.db TSC_SEGMENTS
.db TSC_START
.dl startTiles+(TSC_FLOOR*256)
.dl startTiles+(TSC_FLOOR_TORN*256)
.dl startTiles+(TSC_LOCKER_T*256)
.dl startTiles+(TSC_ARROW_U*256)
.dl startTiles+(TSC_ALIEN_HOLE_HIDDEN*256)
.dl startTiles+(TSC_DRUM_T*256)
.dl startTiles+(DESTROYED_CRYO_TANK_TL*256)

; tower main
TMA_START               = TSC_START+TSC_SEGMENTS
TMA_SEGMENTS            = 5
tilesetTMA:
.db TMA_SEGMENTS
.db TMA_START
.dl startTiles+(TMA_FLOOR_1*256)
.dl startTiles+(TMA_ARROW_U*256)
.dl startTiles+(TMA_ALIEN_HOLE_HIDDEN*256)
.dl startTiles+(TMA_DRUM_TL*256)
.dl startTiles+(TMA_DESTROYED_COCOON_TL*256)

; tower stores
TST_START               = TMA_START+TMA_SEGMENTS
TST_SEGMENTS            = 6
tilesetTST:
.db TST_SEGMENTS
.db TST_START
.dl startTiles+(TST_FLOOR*256)
.dl startTiles+(TST_FLOOR_SCRATCHED*256)
.dl startTiles+(TST_ARROW_U*256)
.dl startTiles+(TST_ALIEN_HOLE_HIDDEN*256)
.dl startTiles+(TST_WALL*256)
.dl startTiles+(TST_BARREL*256)

strEnterPasscode:
.db 2
.db 115,52,"ENTER PASSCODE:",0
.db 200,36,"[STAT] - PASSCODE LIST",0

strPasscodeChar:
.db '_',0

strPasscode:
.db 170,26,"ENTER PASSCODE __________",0
.db 185,26,"TO RESTART HERE",0
.db 205,26,"PRESS [STO] TO SAVE PASSCODE",$FF

strPasscodeManager:
.db "PASSCODE MANAGER",0

strPasscodeSaved:
INFO_LINE(0,0,"PASSCODE SAVED!",$FF)

strPasscodeFailed:
INFO_LINE(0,0,"TOO MANY PASSCODES SAVED!",$FF)

strDeletePasscode
.db "DELETE PASSCODE",0

strCr:
.db " CR",0

strPasscodeKeys:
.db "KEYS: UP,DOWN,LEFT,RIGHT,2ND,MODE,DEL",0

strDatFileMissing:
.db "Ab5dat missing",0
strDatFileVersion:
.db "Ab5dat version error",0

strGfxFile1Missing:
.db "Ab5gfx1 missing",0
strGfxFile1Version:
.db "Ab5gfx1 version error",0

strGfxFile2Missing:
.db "Ab5gfx2 missing",0
strGfxFile2Version:
.db "Ab5gfx2 version error",0

strLvlFileMissing:
.db "Ab5lvl missing",0
strLvlFileVersion:
.db "Ab5lvl version error",0

;------------------------------------------------
; Tip data
;------------------------------------------------
strTip:
.db "TIP",0

tips:
.dl strTip00,strTip01,strTip02,strTip03,strTip04,strTip05,strTip06,strTip07
strTip00:
INFO_LINE(0,0,"USE THE ARROW PAD TO",0)
INFO_LINE(1,0,"WALK AROUND AND [MODE]",0)
INFO_LINE(2,0,"TO PAUSE.",$FF)
strTip01:
INFO_LINE(0,0,"PICK UP KEY PASSES TO",0)
INFO_LINE(1,0,"OPEN DOORS, OR BLAST",0)
INFO_LINE(2,0,"THEM OPEN WITH YOUR",0)
INFO_LINE(3,0,"GUN, BUT THIS WILL DRAIN",0)
INFO_LINE(4,0,"YOUR AMMO FAST!",$FF)
strTip02:
INFO_LINE(0,0,"YOU FOUND A KEY PASS!",0)
INFO_LINE(1,0,"USE THESE TO OPEN DOORS.",$FF)
strTip03:
INFO_LINE(0,0,"PRESS [2ND] TO FIRE YOUR",0)
INFO_LINE(1,0,"GUN, BUT DON'T WASTE",0)
INFO_LINE(2,0,"AMMO!",$FF)
strTip04:
INFO_LINE(0,0,"TO LOG ON TO INTEX",0)
INFO_LINE(1,0,"TERMINALS, WALK UP TO",0)
INFO_LINE(2,0,"THEM AND PRESS [ALPHA].",$FF)
strTip05:
INFO_LINE(0,0,"CREDITS ARE USED TO BUY",0)
INFO_LINE(1,0,"TOOLS AND SUPPLIES AT THE",0)
INFO_LINE(2,0,"INTEX TERMINALS. THEY",0)
INFO_LINE(3,0,"COME IN 10CR [GREEN]",0)
INFO_LINE(4,0,"AND 100 CR [ORANGE].",$FF)
strTip06:
INFO_LINE(0,0,"DIFFERENT WEAPONS CAN",0)
INFO_LINE(1,0,"BE SELECTED [AFTER BEING",0)
INFO_LINE(2,0,"PURCHASED] BY USING THE",0)
INFO_LINE(3,0,"5 GRAPHING KEYS AT THE",0)
INFO_LINE(4,0,"TOP OF THE CALCULATOR.",$FF)
strTip07:
INFO_LINE(0,0,"FIRE DOORS CAN BE CLOSED",0)
INFO_LINE(1,0,"BY FACING THEM AND",0)
INFO_LINE(2,0,"PRESSING [ALPHA],",0)
INFO_LINE(3,0,"THOUGH ONCE CLOSED THEY",0)
INFO_LINE(4,0,"CANNOT BE REOPENED.",$FF)

;------------------------------------------------
; Achievement data
;------------------------------------------------
strNewAchievement:
.db "NEW ACHIEVEMENT!",0

achieveInfo:
.dl strAchInfo00,strAchInfo01,strAchInfo02,strAchInfo03,strAchInfo04
.dl strAchInfo05,strAchInfo06,strAchInfo07,strAchInfo08,strAchInfo09
.dl strAchInfo10,strAchInfo11,strAchInfo12,strAchInfo13,strAchInfo14
.dl strAchInfo15,strAchInfo16,strAchInfo17,strAchInfo18,strAchInfo19
.dl strAchInfo20,strAchInfo21,strAchInfo22,strAchInfo23,strAchInfo24
.dl strAchInfo25,strAchInfo26,strAchInfo27,strAchInfo28,strAchInfo29
.dl strAchInfo30,strAchInfo31,strAchInfo32,strAchInfo33,strAchInfo34
.dl strAchInfo35,strAchInfo36,strAchInfo37,strAchInfo38,strAchInfo39
.dl strAchInfo40,strAchInfo41,strAchInfo42,strAchInfo43,strAchInfo44
strAchInfo00:
INFO_LINE(0,0,"BY HOOK OR BY CROOK",0)
INFO_LINE(1,1,"KILL A BOSS USING ONLY THE",0)
INFO_LINE(2,1,"MACHINE GUN",$FF)
strAchInfo01:
INFO_LINE(0,0,"HANDY WITH A PONG PADDLE",0)
INFO_LINE(1,1,"WIN A POINT IN SPACE PONG",0)
INFO_LINE(2,1,"AGAINST THE CALC",$FF)
strAchInfo02:
INFO_LINE(0,0,"GAME, SET, MATCH",0)
INFO_LINE(1,1,"WIN A GAME OF SPACE PONG",0)
INFO_LINE(2,1,"AGAINST THE CALC",$FF)
strAchInfo03:
INFO_LINE(0,0,"SOMEBODY WAKE UP HICKS",0)
INFO_LINE(1,1,"FINISH A LEVEL WITH",0)
INFO_LINE(2,1,"2 PLAYERS",$FF)
strAchInfo04:
INFO_LINE(0,0,"KEYS ARE FOR LOSERS",0)
INFO_LINE(1,1,"BLAST OPEN A DOOR WITH",0)
INFO_LINE(2,1,"YOUR WEAPON",$FF)
strAchInfo05:
INFO_LINE(0,0,"KNIVES, SHARP STICKS",0)
INFO_LINE(1,1,"OBTAIN ALL 5 WEAPONS AND",0)
INFO_LINE(2,1,"THE RADAR SCANNER IN ONE",0)
INFO_LINE(3,1,"SITTING",$FF)
strAchInfo06:
INFO_LINE(0,0,"LOOK INTO MY EYE",0)
INFO_LINE(1,1,"FINISH A LEVEL WITH 0",0)
INFO_LINE(2,1,"SECONDS LEFT ON THE",0)
INFO_LINE(3,1,"COUNTDOWN",$FF)
strAchInfo07:
INFO_LINE(0,0,"THE EASY PATH",0)
INFO_LINE(1,1,"USE A BENEFICIAL CHEAT",0
INFO_LINE(2,1,"CODE",$FF)
strAchInfo08:
INFO_LINE(0,0,"HARDER THAN IT SHOULD BE",0)
INFO_LINE(1,1,"USE AN UNFAVOURABLE CHEAT",0
INFO_LINE(2,1,"CODE",$FF)
strAchInfo09:
INFO_LINE(0,0,"SPACE PONG CHAMPION",0)
INFO_LINE(1,1,"WIN A POINT IN SPACE PONG",0)
INFO_LINE(2,1,"AGAINST THE CALC WITHOUT",0)
INFO_LINE(3,1,"LOSING A POINT",$FF)
strAchInfo10:
INFO_LINE(0,0,"BACK INTO THE FRAY",0)
INFO_LINE(1,1,"FINISH EPISODE I",$FF)
strAchInfo11:
INFO_LINE(0,0,"GAME OVER MAN, GAME",0)
INFO_LINE(1,0,"OVER",0)
INFO_LINE(2,1,"FINISH EPISODE I IN A",0)
INFO_LINE(3,1,"SINGLE PLAYTHROUGH",$FF)
strAchInfo12:
INFO_LINE(0,0,"HIT THE GROUND RUNNING",0)
INFO_LINE(1,1,"FINISH LEVEL 7 WITH 30",0)
INFO_LINE(2,1,"SECONDS LEFT",$FF)
strAchInfo13:
INFO_LINE(0,0,"OFFICER RIPLEY",0)
INFO_LINE(1,1,"DEFEAT THE HATCHERY",0)
INFO_LINE(2,1,"QUEEN WITHOUT DYING",$FF)
strAchInfo14:
INFO_LINE(0,0,"THE PACIFIST",0)
INFO_LINE(1,1,"FINISH LEVEL 11 WITHOUT",0)
INFO_LINE(2,1,"SHOOTING ANY ALIENS",$FF)
strAchInfo15:
INFO_LINE(0,0,"A NEW LEVEL",0)
INFO_LINE(1,1,"FINISH EPISODE II",$FF)
strAchInfo16:
INFO_LINE(0,0,"EVOLUTION MARATHON",0)
INFO_LINE(1,1,"FINISH EPISODE II IN A",0)
INFO_LINE(2,1,"SINGLE PLAYTHROUGH",$FF)
strAchInfo17:
INFO_LINE(0,0,"USAIN BOLT WAS HERE",0)
INFO_LINE(1,1,"FINISH LEVEL 7 WITH 40",0)
INFO_LINE(2,1,"SECONDS LEFT",$FF)
strAchInfo18:
INFO_LINE(0,0,"THE COLLECTOR",0)
INFO_LINE(1,1,"COLLECT ALL PICKUP ITEMS",0)
INFO_LINE(2,1,"ON LEVEL 4",$FF)
strAchInfo19:
INFO_LINE(0,0,"BEHIND EVERY DOOR",0)
INFO_LINE(1,1,"OPEN ALL DOORS ON",0)
INFO_LINE(2,1,"LEVEL 5",$FF)
strAchInfo20:
INFO_LINE(0,0,"CHOOSE YOUR OWN ADVENTURE",0)
INFO_LINE(1,1,"FINISH EPISODE III",$FF)
strAchInfo21:
INFO_LINE(0,0,"MAKING AN IMPACT",0)
INFO_LINE(1,1,"FINISH EPISODE III IN A",0)
INFO_LINE(2,1,"SINGLE PLAYTHROUGH",$FF)
strAchInfo22:
INFO_LINE(0,0,"DON'T LOOK BACK",0)
INFO_LINE(1,1,"FINISH MAIN TOWER LEVEL 5",0)
INFO_LINE(2,1,"WITH 55 SECONDS LEFT",$FF)
strAchInfo23:
INFO_LINE(0,0,"STAY AWHILE, AND LISTEN",0)
INFO_LINE(1,1,"LEARN ABOUT TEAM 17'S",0)
INFO_LINE(2,1,"ALIEN BREED",$FF)
strAchInfo24:
INFO_LINE(0,0,"WANDERER OF MANY PATHS",0)
INFO_LINE(1,1,"FINISH EPISODE III VIA ALL",0)
INFO_LINE(2,1,"7 ROUTES",$FF)
strAchInfo25:
INFO_LINE(0,0,"TRAINEE SOLDIER",0)
INFO_LINE(1,1,"KILL 20 ENEMIES",$FF)
strAchInfo26:
INFO_LINE(0,0,"I CAN HANDLE MYSELF",0)
INFO_LINE(1,1,"KILL 200 ENEMIES",$FF)
strAchInfo27:
INFO_LINE(0,0,"BATTLE HARDENED",0)
INFO_LINE(1,1,"KILL 2000 ENEMIES",$FF)
strAchInfo28:
INFO_LINE(0,0,"BECOMING GODSIZE",0)
INFO_LINE(1,1,"KILL 5000 ENEMIES",$FF)
strAchInfo29:
INFO_LINE(0,0,"NOT BAD FOR A HUMAN",0)
INFO_LINE(1,1,"KILL 20 BOSSES",$FF)
strAchInfo30:
INFO_LINE(0,0,"GENOCIDAL MANIAC",0)
INFO_LINE(1,1,"KILL 10000 ENEMIES",$FF)
strAchInfo31:
INFO_LINE(0,0,"SPAWN AGAIN",0)
INFO_LINE(1,1,"KILL 50 BOSSES",$FF)
strAchInfo32:
INFO_LINE(0,0,"KNOW YOUR ENEMY",0)
INFO_LINE(1,1,"KILL 100 BOSSES",$FF)
strAchInfo33:
INFO_LINE(0,0,"UNBREAKABLE",0)
INFO_LINE(1,1,"KILL 10 BOSSES WITHOUT",0)
INFO_LINE(2,1,"DYING",$FF)
strAchInfo34:
INFO_LINE(0,0,"THE ULTIMATE BADASS",0)
INFO_LINE(1,1,"KILL 50 BOSSES WITHOUT",0)
INFO_LINE(2,1,"DYING",$FF)
strAchInfo35:
INFO_LINE(0,0,"GAIN A CREDIT RATING",0)
INFO_LINE(1,1,"COLLECT 10000 CREDITS",$FF)
strAchInfo36:
INFO_LINE(0,0,"INTEX BANKING",0)
INFO_LINE(1,1,"COLLECT 100000 CREDITS",$FF)
strAchInfo37:
INFO_LINE(0,0,"HIT THE BIG TIME",0)
INFO_LINE(1,1,"COLLECT 500000 CREDITS",$FF)
strAchInfo38:
INFO_LINE(0,0,"THE KEYMASTER",0)
INFO_LINE(1,1,"COLLECT 1000 KEY PASSES",$FF)
strAchInfo39:
INFO_LINE(0,0,"LOCKED AND LOADED",0)
INFO_LINE(1,1,"COLLECT 500 AMMO CLIPS",$FF)
strAchInfo40:
INFO_LINE(0,0,"DEEP POCKETS",0)
INFO_LINE(1,1,"COLLECT 1000000 CREDITS",$FF)
strAchInfo41:
INFO_LINE(0,0,"MEDICAL OFFICER",0)
INFO_LINE(1,1,"COLLECT 500 FIRST AID KITS",$FF)
strAchInfo42:
INFO_LINE(0,0,"TIME LORD SCIENCE",0)
INFO_LINE(1,1,"COLLECT 100 EXTRA LIVES",$FF)
strAchInfo43:
INFO_LINE(0,0,"ACCESS ALL AREAS",0)
INFO_LINE(1,1,"COLLECT 2000 KEY PASSES",$FF)
strAchInfo44:
INFO_LINE(0,0,"SHOOT TO KILL",0)
INFO_LINE(1,1,"COLLECT 1000 AMMO CLIPS",$FF)

achieveReq:
; kills pg1
.dl 20
.dl 200
.dl 2000
.dl 5000
.dl 20
; kills pg2
.dl 10000
.dl 50
.dl 100
.dl 10
.dl 50
; items pg1
.dl 10000
.dl 100000
.dl 500000
.dl 1000
.dl 500
; items pg2
.dl 1000000
.dl 500
.dl 100
.dl 2000
.dl 1000
; ep3 wanderer
.dl 7

strAchProgress:
.db " / ",0

strModeBack:
.db 1
.db 38,97,"[MODE]-BACK",0

strAchieveTick:
.db 1, 60,25,"^",0

achieveCats:
.db 9
.dl strAchGeneralPg1,strAchGeneralPg2,strAchEp1,strAchEp2,strAchEp3,strAchKillsPg1,strAchKillsPg2,strAchItemsPg1,strAchItemsPg2
strAchGeneralPg1:
.db 6
.db 38,19,"< GENERAL PG1 >",0
.db 60,30,"BY HOOK OR BY CROOK",0
.db 75,30,"HANDY WITH A PONG PADDLE",0
.db 90,30,"GAME, SET, MATCH",0
.db 105,30,"SOMEBODY WAKE UP HICKS",0
.db 120,30,"KEYS ARE FOR LOSERS",0
strAchGeneralPg2:
.db 6
.db 38,19,"< GENERAL PG2 >",0
.db 60,30,"KNIVES, SHARP STICKS",0
.db 75,30,"LOOK INTO MY EYE",0
.db 90,30,"THE EASY PATH",0
.db 105,30,"HARDER THAN IT SHOULD BE",0
.db 120,30,"SPACE PONG CHAMPION",0
strAchEp1:
.db 6
.db 38,19,"< EP I >",0
.db 60,30,"BACK INTO THE FRAY",0
.db 75,30,"GAME OVER MAN, GAME OVER",0
.db 90,30,"HIT THE GROUND RUNNING",0
.db 105,30,"OFFICER RIPLEY",0
.db 120,30,"THE PACIFIST",0
strAchEp2:
.db 6
.db 38,19,"< EP II >",0
.db 60,30,"A NEW LEVEL",0
.db 75,30,"EVOLUTION MARATHON",0
.db 90,30,"USAIN BOLT WAS HERE",0
.db 105,30,"THE COLLECTOR",0
.db 120,30,"BEHIND EVERY DOOR",0
strAchEp3:
.db 6
.db 38,19,"< EP III >",0
.db 60,30,"CHOOSE YOUR OWN ADVENTURE",0
.db 75,30,"MAKING AN IMPACT",0
.db 90,30,"DON'T LOOK BACK",0
.db 105,30,"STAY AWHILE, AND LISTEN",0
.db 120,30,"WANDERER OF MANY PATHS",0
strAchKillsPg1:
.db 6
.db 38,19,"< KILLS PG1 >",0
.db 60,30,"TRAINEE SOLDIER",0
.db 75,30,"I CAN HANDLE MYSELF",0
.db 90,30,"BATTLE HARDENED",0
.db 105,30,"BECOMING GODSIZE",0
.db 120,30,"NOT BAD FOR A HUMAN",0
strAchKillsPg2:
.db 6
.db 38,19,"< KILLS PG2 >",0
.db 60,30,"GENOCIDAL MANIAC",0
.db 75,30,"SPAWN AGAIN",0
.db 90,30,"KNOW YOUR ENEMY",0
.db 105,30,"UNBREAKABLE",0
.db 120,30,"THE ULTIMATE BADASS",0
strAchItemsPg1:
.db 6
.db 38,19,"< ITEMS PG1 >",0
.db 60,30,"GAIN A CREDIT RATING",0
.db 75,30,"INTEX BANKING",0
.db 90,30,"HIT THE BIG TIME",0
.db 105,30,"THE KEYMASTER",0
.db 120,30,"LOCKED AND LOADED",0
strAchItemsPg2:
.db 6
.db 38,19,"< ITEMS PG2 >",0
.db 60,30,"DEEP POCKETS",0
.db 75,30,"MEDICAL OFFICER",0
.db 90,30,"TIME LORD SCIENCE",0
.db 105,30,"ACCESS ALL AREAS",0
.db 120,30,"SHOOT TO KILL",0

achieveDescs:
.dl strAchDesc00,strAchDesc01,strAchDesc02,strAchDesc03,strAchDesc04
.dl strAchDesc05,strAchDesc06,strAchDesc07,strAchDesc08,strAchDesc09
.dl strAchDesc10,strAchDesc11,strAchDesc12,strAchDesc13,strAchDesc14
.dl strAchDesc15,strAchDesc16,strAchDesc17,strAchDesc18,strAchDesc19
.dl strAchDesc20,strAchDesc21,strAchDesc22,strAchDesc23,strAchDesc24
.dl strAchDesc25,strAchDesc26,strAchDesc27,strAchDesc28,strAchDesc29
.dl strAchDesc30,strAchDesc31,strAchDesc32,strAchDesc33,strAchDesc34
.dl strAchDesc35,strAchDesc36,strAchDesc37,strAchDesc38,strAchDesc39
.dl strAchDesc40,strAchDesc41,strAchDesc42,strAchDesc43,strAchDesc44
strAchDesc00:
.db 2
.db 150,24,"KILL A BOSS USING ONLY THE",0
.db 165,24,"MACHINE GUN",0
strAchDesc01:
.db 2
.db 150,24,"WIN A POINT IN SPACE PONG",0
.db 165,24,"AGAINST THE CALC",0
strAchDesc02:
.db 2
.db 150,24,"WIN A GAME OF SPACE PONG",0
.db 165,24,"AGAINST THE CALC",0
strAchDesc03:
.db 2
.db 150,24,"FINISH A LEVEL WITH 2",0
.db 165,24,"PLAYERS",0
strAchDesc04:
.db 2
.db 150,24,"BLAST OPEN A DOOR WITH YOUR",0
.db 165,24,"WEAPON",0
strAchDesc05:
.db 2
.db 150,24,"OBTAIN ALL 5 WEAPONS AND THE",0
.db 165,24,"RADAR SCANNER IN ONE SITTING",0
strAchDesc06:
.db 2
.db 150,24,"FINISH A LEVEL WITH 0 SECONDS",0
.db 165,24,"LEFT ON THE COUNTDOWN",0
strAchDesc07:
.db 1
.db 150,24,"USE A BENEFICIAL CHEAT CODE",0
strAchDesc08:
.db 2
.db 150,24,"USE AN UNFAVOURABLE CHEAT",0
.db 165,24,"CODE",0
strAchDesc09:
.db 3
.db 150,24,"WITH A GAME OF SPACE PONG",0
.db 165,24,"AGAINST THE CALC WITHOUT",0
.db 180,24,"LOSING A POINT",0
strAchDesc10:
.db 1
.db 150,24,"FINISH EPISODE I",0
strAchDesc11:
.db 2
.db 150,24,"FINISH EPISODE I IN A SINGLE",0
.db 165,24,"PLAYTHROUGH",0
strAchDesc12:
.db 2
.db 150,24,"FINISH LEVEL 7 WITH 30",0
.db 165,24,"SECONDS LEFT",0
strAchDesc13:
.db 2
.db 150,24,"DEFEAT THE HATCHERY QUEEN",0
.db 165,24,"WITHOUT DYING",0
strAchDesc14:
.db 2
.db 150,24,"FINISH LEVEL 11 WITHOUT",0
.db 165,24,"SHOOTING ANY ALIENS",0
strAchDesc15:
.db 1
.db 150,24,"FINISH EPISODE II",0
strAchDesc16:
.db 2
.db 150,24,"FINISH EPISODE II IN A SINGLE",0
.db 165,24,"PLAYTHROUGH",0
strAchDesc17:
.db 2
.db 150,24,"FINISH LEVEL 7 WITH 40",0
.db 165,24,"SECONDS LEFT",0
strAchDesc18:
.db 2
.db 150,24,"COLLECT ALL PICKUP ITEMS",0
.db 165,24,"ON LEVEL 4",0
strAchDesc19:
.db 1
.db 150,24,"OPEN ALL DOORS ON LEVEL 5",0
strAchDesc20:
.db 1
.db 150,24,"FINISH EPISODE III",0
strAchDesc21:
.db 2
.db 150,24,"FINISH EPISODE III IN A",0
.db 165,24,"SINGLE PLAYTHROUGH",0
strAchDesc22:
.db 2
.db 150,24,"FINISH MAIN TOWER LEVEL 5",0
.db 165,24,"WITH 55 SECONDS LEFT",0
strAchDesc23:
.db 2
.db 150,24,"LEARN ABOUT TEAM 17'S",0
.db 165,24,"ALIEN BREED",0
strAchDesc24:
.db 2
.db 150,24,"FINISH EPISODE III VIA ALL",0
.db 165,24,"7 ROUTES",0
strAchDesc25:
.db 1
.db 150,24,"KILL 20 ENEMIES",0
strAchDesc26:
.db 1
.db 150,24,"KILL 200 ENEMIES",0
strAchDesc27:
.db 1
.db 150,24,"KILL 2000 ENEMIES",0
strAchDesc28:
.db 1
.db 150,24,"KILL 5000 ENEMIES",0
strAchDesc29:
.db 1
.db 150,24,"KILL 20 BOSSES",0
strAchDesc30:
.db 1
.db 150,24,"KILL 10000 ENEMIES",0
strAchDesc31:
.db 1
.db 150,24,"KILL 50 BOSSES",0
strAchDesc32:
.db 1
.db 150,24,"KILL 100 BOSSES",0
strAchDesc33:
.db 1
.db 150,24,"KILL 10 BOSSES WITHOUT DYING",0
strAchDesc34:
.db 1
.db 150,24,"KILL 50 BOSSES WITHOUT DYING",0
strAchDesc35:
.db 1
.db 150,24,"COLLECT 10000 CREDITS",0
strAchDesc36:
.db 1
.db 150,24,"COLLECT 100000 CREDITS",0
strAchDesc37:
.db 1
.db 150,24,"COLLECT 500000 CREDITS",0
strAchDesc38:
.db 1
.db 150,24,"COLLECT 1000 KEY PASSES",0
strAchDesc39:
.db 1
.db 150,24,"COLLECT 500 AMMO CLIPS",0
strAchDesc40:
.db 1
.db 150,24,"COLLECT 1000000 CREDITS",0
strAchDesc41:
.db 1
.db 150,24,"COLLECT 500 FIRST AID KITS",0
strAchDesc42:
.db 1
.db 150,24,"COLLECT 100 EXTRA LIVES",0
strAchDesc43:
.db 1
.db 150,24,"COLLECT 2000 KEY PASSES",0
strAchDesc44:
.db 1
.db 150,24,"COLLECT 1000 AMMO CLIPS",0

;------------------------------------------------
; Pause screen data
;------------------------------------------------
strPaused:
.db 11
.db 36,68,"PAUSED",0
.db 53,32,"1UP SCORE:",0
.db 65,32,"2UP SCORE:",0
.db 90,32,"CREDITS:",0
.db 110,32,"MACHINE GUN:",0
.db 122,32,"TWIN LASER:",0
.db 134,32,"FLAME ARC:",0
.db 146,32,"PLASMA RIFLE:",0
.db 158,32,"FLAMETHROWER:",0
.db 175,32,"RADAR SCANNER:",0
.db 193,18,"2ND=PLAY, CLEAR=QUIT, STAT=ACHV",0

pauseWeaponTable:
.db 110,122,134,146,158,175

strYes:
.db "YES",0
strNo:
.db " NO",0

strRetreat:
.db "QUIT GAME",0

;------------------------------------------------
; intex general string data
;------------------------------------------------
strIntexLoad:
.db 45,16,"INTEX NETWORK SYSTEMS",0
.db 60,16,"CONNECTING...",$FF

strIntexAbort:
.db 45,16,"DISCONNECTING...",$FF

strIntexPurchased:
.db 195,36,"ITEM PURCHASED!",$FF

strIntexAlreadyOwned:
.db 195,36,"YOU ALREADY OWN THAT!",$FF

strIntexNotEnoughCredits:
.db 195,36,"INSUFFICIENT FUNDS!",$FF

strCreditLimit:
.db 180,36,"CREDIT LIMIT:",$FF

;------------------------------------------------
; intex menu data
;------------------------------------------------
intexMainMenuData:
.db 7
.db 45,50,"INTEX MAIN MENU",0
.db 75,38,"INTEX WEAPON SUPPLIES",0
.db 90,42,"INTEX TOOL SUPPLIES",0
.db 105,42,"INTEX RADAR SERVICE",0
.db 120,46,"MISSION OBJECTIVE",0
.db 135,42,"INTEX ENTERTAINMENT",0
.db 150,62,"INFO BASE",0
.db 165,44,"ABORT INTEX SYSTEM",$FF

intexWeaponMenuData:
.db 5
.db 45,38,"INTEX WEAPON SUPPLIES",0
.db 75,36,"TWIN LASER",0
.db 75,96,"1000 CR",0
.db 90,36,"FLAME ARC",0
.db 90,96,"2400 CR",0
.db 105,36,"PLASMA RIFLE",0
.db 105,96,"3500 CR",0
.db 120,36,"FLAMETHROWER",0
.db 120,96,"4800 CR",0
.db 135,62,"MAIN MENU",$FF

intexToolMenuData:
.db 6
.db 45,42,"INTEX TOOL SUPPLIES",0
.db 75,36,"KEY PACK",0
.db 75,100,"500 CR",0
.db 90,36,"AMMO CLIP",0
.db 90,100,"200 CR",0
.db 105,36,"FIRST AID",0
.db 105,100,"500 CR",0
.db 120,36,"RADAR SCANNER",0
.db 120,96,"1000 CR",0
.db 135,36,"EXTRA LIFE",0
.db 135,96,"3000 CR",0
.db 150,62,"MAIN MENU",$FF

.end
